Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451478 - chcon verbose output is missing whitespace
Summary: chcon verbose output is missing whitespace
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-14 18:47 UTC by Carl Roth
Modified: 2008-07-10 21:08 UTC (History)
2 users (show)

Fixed In Version: coreutils-6.10.26.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-10 21:08:21 UTC


Attachments (Terms of Use)

Description Carl Roth 2008-06-14 18:47:03 UTC
Description of problem:

The 'chcon' command, when invoked with '-v', doesn't generate CRs between its
debug statements.  The all get bunched up on one line.  Example:

[roth@circus tmp]$ sudo chcon -t user_tmp_t -vR kdecache-* xdgcache-*
changing security context of `kdecache-root/kpc/kde-icon-cache.data'changing
securitycontext of `kdecache-root/kpc/kde-icon-cache.index'...

and so on.

Version-Release number of selected component (if applicable):

coreutils-6.10-25.fc9.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ondrej Vasik 2008-06-16 08:59:51 UTC
Thanks for report, same for upstream, adding upstream maintainer to CC. Will fix
for Fedora in next F9/Rawhide builds.

Comment 2 Jim Meyering 2008-06-16 11:08:44 UTC
Thanks to both of you.
I've fixed it upstream:
http://article.gmane.org/gmane.comp.gnu.core-utils.bugs/13817

Comment 3 Ondrej Vasik 2008-06-16 14:55:34 UTC
I used additional putchar ('\n'); instead of changing the string for Fedora
Rawhide to not break translated .po message strings. Built as coreutils-6.12-4.fc10.

Comment 4 Ondrej Vasik 2008-06-16 16:02:26 UTC
And F-9 package built as coreutils-6.10-26.fc9
(http://koji.fedoraproject.org/koji/taskinfo?taskID=663928) , changing to MODIFIED. 

Comment 5 Carl Roth 2008-06-17 21:30:11 UTC
N.B. that I have been in email contact with meyerling@redhat.com regarding
including my email address in the THANKS for core-utils (I'm OK with that) but
that his email greylisting setup is making replies get rejected.



Comment 6 Ondrej Vasik 2008-07-10 21:08:21 UTC
Coreutils-6.10.27.fc9 are already pushed to f-9 updates stable, therefore
closing that bugzilla CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.